MethodCallAwareTemplateHashModel.ShouldNotBeGetAsMethodException (FreeMarker 2.3.35 API)
Description: declaration: package: freemarker.template, interface: MethodCallAwareTemplateHashModel, class: ShouldNotBeGetAsMethodException

Package freemarker.template

# Class MethodCallAwareTemplateHashModel.ShouldNotBeGetAsMethodException

java.lang.Object
java.lang.Throwable
java.lang.Exception
freemarker.template.MethodCallAwareTemplateHashModel.ShouldNotBeGetAsMethodException

All Implemented Interfaces:
  `Serializable`

Enclosing interface:
  MethodCallAwareTemplateHashModel

public static final class MethodCallAwareTemplateHashModel.ShouldNotBeGetAsMethodException extends Exception
Thrown by `MethodCallAwareTemplateHashModel.getBeforeMethodCall(String)`; see there.

Since:
  2.3.33
See Also:
  Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ShouldNotBeGetAsMethodException​(TemplateModel actualValue, String hint)`
  Same as `ShouldNotBeGetAsMethodException(freemarker.template.TemplateModel,java.lang.String,java.lang.Throwable)`, with `null` cause exception argument.
  `ShouldNotBeGetAsMethodException​(TemplateModel actualValue, String hint, Throwable cause)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TemplateModel`
  `getActualValue()`
  The actual value we got instead of a method; not `null`.
  `String`
  `getHint()`
  Additional hint for the user; maybe `null`.

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ShouldNotBeGetAsMethodException

    public ShouldNotBeGetAsMethodException​(TemplateModel actualValue, String hint)
    Same as `ShouldNotBeGetAsMethodException(freemarker.template.TemplateModel,java.lang.String,java.lang.Throwable)`, with `null` cause exception argument.

  - ### ShouldNotBeGetAsMethodException

    public ShouldNotBeGetAsMethodException​(TemplateModel actualValue, String hint, Throwable cause)
    Parameters:
      `actualValue` - The actual value we got instead of a method; can't be `null`!
      `hint` - Hint for the user, that's added to the error message; `null` if you just want the plain `NonMethodException` error message.
      `cause` - Can be `null`.

- ## Method Details

  - ### getActualValue

    public TemplateModel getActualValue()
    The actual value we got instead of a method; not `null`.

  - ### getHint

    public String getHint()
    Additional hint for the user; maybe `null`.